# PSF-LoginServer - master - net.psforever.objects.vital.resistance.ResistanceCalculations
PSF - LoginServer - master - net.psforever.objects.vital.resistance.ResistanceCalculations
Keywords: PSF LoginServer master net.psforever.objects.vital.resistance.ResistanceCalculations

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resistance
  Definition Classes
    vital
- ResistanceCalculations
- ResistanceProfile
- ResistanceProfileMutators
- ResistanceSelection
- StandardResistanceProfile

o

net.psforever.objects.vital.resistance

# ResistanceCalculations 

###
Companion class ResistanceCalculations

#### object ResistanceCalculations

Source
  ResistanceCalculations.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ResistanceCalculations
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AlwaysValidTarget(data: DamageInteraction): Try[SourceEntry]
5.  def ExoSuitAggravatedExtractor(target: PlayerSource): Int
6.  def ExoSuitDirectExtractor(target: PlayerSource): Int
7.  def ExoSuitRadiationExtractor(target: PlayerSource): Float
8.  def ExoSuitSplashExtractor(target: PlayerSource): Int
9.  def InvalidTarget(data: DamageInteraction): Try[SourceEntry]
10.  def MaximumResistance(target: SourceEntry): Int
11.  def NoResistExtractor(target: SourceEntry): Int
12.  def OtherDirectExtractor(target: ObjectSource): Int
13.  def OtherSplashExtractor(target: ObjectSource): Int
14.  def ValidAircraftTarget(data: DamageInteraction): Try[VehicleSource]
15.  def ValidAmenityTarget(data: DamageInteraction): Try[ObjectSource]
16.  def ValidInfantryTarget(data: DamageInteraction): Try[PlayerSource]
17.  def ValidMaxTarget(data: DamageInteraction): Try[PlayerSource]
18.  def ValidVehicleTarget(data: DamageInteraction): Try[VehicleSource]
19.  def VehicleAggravatedExtractor(target: VehicleSource): Int
20.  def VehicleDirectExtractor(target: VehicleSource): Int
21.  def VehicleRadiationExtractor(target: VehicleSource): Float
22.  def VehicleSplashExtractor(target: VehicleSource): Int
23.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
24.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
25.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
27.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
28.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
35.  def toString(): String
    Definition Classes
      AnyRef → Any
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped